Bug 80274

Summary: *Gdb-lite* Implement "Continue" action
Product: cnd Reporter: Nikolay Molchanov <nikmolchanov>
Component: DebuggerAssignee: Nikolay Molchanov <nikmolchanov>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1 CC:
Version: 5.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: ENHANCEMENT Exception Report:

Description Nikolay Molchanov 2006-07-14 00:44:11 UTC
This is IZ for a new feature: "Continue" action.
The implementation should be similar to jpda debugger.
If program is stopped, button "Continue" should be enabled. 
If user pressed button "Continue", the execution should be resumed.
Comment 1 Nikolay Molchanov 2006-07-14 00:48:39 UTC
I upgraded priority to P1 because this feature should be implemented 
in Milestone 2B.
Comment 2 Nikolay Molchanov 2006-07-14 05:56:40 UTC
The suggested fix is to connect button "Continue" via an ActionsProvider
with method resume() in GdbDebuggerImpl.java, which calls method exec_continue()
in GdbProxy.java, which sends "-exec-continue" command to gdb. 
To implement this solution a new class is created:

File name:
cnd/gdb/src/org/netbeans/modules/cnd/debugger/gdb/actions/StepActionProvider.java


/**
 * Implements non visual part of stepping through code in gdb debugger.
 * It supports standard debugging actions Continue, Step Into, Step Over, 
 * Step Out, and RunToCursor (the last two are not implemented yet). 
 * 
 */
public class StepActionProvider extends ActionsProvider 


The fix is integrated in "cnd-nb50-dev" branch.
-----------------------------------------------
Tag: cnd-nb50-dev
User: NikMolchanov
Date: 2006/07/13 16:55:18
Modified:
   cnd/gdb/src/org/netbeans/modules/cnd/debugger/gdb/GdbDebuggerImpl.java
Log:
 IZ 80274 *Gdb-lite* Implement "Continue" action
Revision: 1.1.2.15
-----------------------------------------------
Tag: cnd-nb50-dev
User: NikMolchanov
Date: 2006/07/13 16:55:41
Added:
cnd/gdb/src/org/netbeans/modules/cnd/debugger/gdb/actions/StepActionProvider.java
Log:
 IZ 80274 *Gdb-lite* Implement "Continue" action
Revision: 1.1.2.2
-----------------------------------------------
Tag: cnd-nb50-dev
User: NikMolchanov
Date: 2006/07/13 16:55:56
Modified: 
cnd/gdb/src/META-INF/debugger/netbeans-cnd-GdbSession/org.netbeans.spi.debugger.ActionsProvider
Log:
 IZ 80274 *Gdb-lite* Implement "Continue" action
Revision: 1.1.2.2
-----------------------------------------------

For now button "Continue" is always enabled while the debugging session 
is active. Additional changes are necessary to disable this button while
the program is running, and enable it back when the program is stopped.

A similar solution can be used to implement "Step Into" (IZ 80279) and 
"Step Over" (IZ 80281) features. Unfortunately there is no good support 
for "Step Out" in gdb, so it is not clear how to implement it.
Comment 3 _ gordonp 2006-09-07 16:05:00 UTC
Is this issue ready to be marked as fixed? If so, please change it.
Comment 4 Nikolay Molchanov 2006-09-08 15:11:24 UTC
The functionality is implemented and it seems to work just fine.
I changed the status to FIXED. If there are any problems feel free to reopen
this issue or file another one.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo